Agent Pools - Get Upgrade Profile

Gets the upgrade profile for an agent pool.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ContainerService/managedClusters/{resourceName}/agentPools/{agentPoolName}/upgradeProfiles/default?api-version=2026-05-01

URI Parameters

Name In Required Type Description
agentPoolName
path True

string

minLength: 1
maxLength: 12
pattern: ^[a-z][a-z0-9]{0,11}$

The name of the agent pool.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

resourceName
path True

string

minLength: 1
maxLength: 63
pattern: ^[a-zA-Z0-9]$|^[a-zA-Z0-9][-_a-zA-Z0-9]{0,61}[a-zA-Z0-9]$

The name of the managed cluster resource.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

AgentPoolUpgradeProfile

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Get Upgrade Profile for Agent Pool

Sample request

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/agentpool1/upgradeProfiles/default?api-version=2026-05-01

Sample response

{
  "name": "default",
  "type": "Microsoft.ContainerService/managedClusters/agentPools/upgradeProfiles",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/agentpool1/upgradeprofiles/default",
  "properties": {
    "kubernetesVersion": "1.12.8",
    "latestNodeImageVersion": "AKSUbuntu:1604:2020.03.11",
    "osType": "Linux",
    "upgrades": [
      {
        "kubernetesVersion": "1.13.5"
      }
    ]
  }
}

Definitions

Name Description
AgentPoolRecentlyUsedVersion

A historical version that can be used for rollback operations.

AgentPoolUpgradeProfile

The list of available upgrades for an agent pool.

AgentPoolUpgradeProfilePropertiesUpgradesItem

Available upgrades for an AgentPool.

createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

OSType

The operating system type. The default is Linux.

systemData

Metadata pertaining to creation and last modification of the resource.

AgentPoolRecentlyUsedVersion

A historical version that can be used for rollback operations.

Name Type Description
nodeImageVersion

string

The node image version available for rollback.

orchestratorVersion

string

The Kubernetes version (major.minor.patch) available for rollback.

timestamp

string (date-time)

The timestamp when this version was last used.

AgentPoolUpgradeProfile

The list of available upgrades for an agent pool.

Name Type Default value Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties.kubernetesVersion

string

The Kubernetes version (major.minor.patch).

properties.latestNodeImageVersion

string

The latest AKS supported node image version.

properties.osType

OSType

Linux

The operating system type. The default is Linux.

properties.recentlyUsedVersions

AgentPoolRecentlyUsedVersion[]

List of historical good versions for rollback operations.

properties.upgrades

AgentPoolUpgradeProfilePropertiesUpgradesItem[]

List of orchestrator types and versions available for upgrade.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

AgentPoolUpgradeProfilePropertiesUpgradesItem

Available upgrades for an AgentPool.

Name Type Description
isPreview

boolean

Whether the Kubernetes version is currently in preview.

kubernetesVersion

string

The Kubernetes version (major.minor.patch).

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

OSType

The operating system type. The default is Linux.

Value Description
Linux

Use Linux.

Windows

Use Windows.

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.